Subject: Re: [PATCH v9 00/17] Upstreaming the Scalar command

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Dec 2021 09:58:02 -0800

Johannes Schindelin <[email-masked]> writes:

> This patch series' focus is entirely on Scalar, on choosing sensible
> defaults and offering a delightful user experience around working with
> monorepos, and not about changing any existing paradigms for contrib/.

Sorry, but I am confused.

The change to add "make &&" before testing scalar is a good change
that allows CI to work with "existing paradigm for contrib/" that is
"you need to build the top before doing anything in contrib/".

But none of the contrib/ stuff is tested in the pedantic job, but if
I understand correctly, we start some (namely, scalar) stuff in it
tested there, deviating from existing practice.  Is that intended?